package com.diagbot.facade;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.dto.IndexConfigDTO;
import com.diagbot.entity.Concept;
import com.diagbot.entity.ConceptDetail;
import com.diagbot.entity.IndexConfig;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.enums.LexiconTypeEnum;
import com.diagbot.service.IndexConfigService;
import com.diagbot.service.impl.IndexConfigServiceImpl;
import com.diagbot.vo.ConceptBaseVO;
import com.diagbot.vo.IndexConfigdiseaseNameVO;

/**
 * 
 * @author wangfeng
 * @Description: TODO
 * @date 2019年5月6日 下午6:35:58
 */
@Component
public class IndexConfigFacade extends IndexConfigServiceImpl{

	@Autowired 
	IndexConfigService indexConfigService;	
	
	
	public List<IndexConfigDTO> getIndexConfig(String diseaseName) {
		Map<String, Object> indexConfigMap = new HashMap<>();
		indexConfigMap.put("diseaseName",diseaseName);
		return indexConfigService.getIndexConfig(indexConfigMap);
	}

}
